View Single Post
Old January 30th, 2011, 12:43 PM   #1 (permalink)
AoN
New Member
Thread Author (OP)
 
Join Date: Jan 2011
Gender: Male
Posts: 12
 
Device(s): First-Gen HTC Evo 4G, Rooted, Stock ROM
Carrier: Sprint

Thanks: 6
Thanked 13 Times in 5 Posts
Default Flytouch 2.2 App Market Error

I've checked the search here, trying to find the specific error as well as just market erros, but there's too many of them so I stopped after a dozen threads.

I have the Flytouch (not sure if it's v1 or v2) with OS 2.2 (it came on it) and have successfully connected to the Internet via the Ethernet adapter. However while in the market I've attempted to download the Kindle application and was prompted for my login information. I assumed it wanted my G-Mail account so I provided it and got the error: "Authentication Error. Please check your account/password". So I tried my Amazon account, got no error, but still couldn't download the application.

When I try to download other applications I get the same prompt, which leads me to believe that it wants my G-Mail account to sync my purchased applications, rather than charge me twice, but I continue to get the same error. I've already confirmed that both the e-mail and the password are correct and tried with "@gmail.com" and without.

At this point, I don't know how to proceed.
AoN is offline  
Reply With Quote